<?php

namespace App\Http\Requests\Warehouse;

use Illuminate\Foundation\Http\FormRequest;

class WarehouseRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            "code" => [
                "required",
                "string",
                $this->route()->warehouse
                    ? "unique:warehouses,code," . $this->route()->warehouse
                    : "unique:warehouses,code",
            ],
            "name" => ["required"],
            "url" => ["nullable"],
            "token" => ["nullable"],
        ];
    }
}
